Bug 971592 - Can't login with root after installing and not configuring any other user
Can't login with root after installing and not configuring any other user
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 17:10 EDT by Marcelo Ricardo Leitner
Modified: 2013-09-19 14:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:58:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Ricardo Leitner 2013-06-06 17:10:07 EDT
Just installed a F19 guest, with minimal installation.

I was testing screen performance during instalation, and then I set up the root password twice during the installation. And I didn't set up any other user, I wasn't going to use anyway.

But when VM installed, I couldn't login on guest tty console using root. Had to boot with init=/bin/bash.. then I tried re-setting the password, in case the 2nd attempt during install had borked it, but I still couldn't login.

/var/log/secure contains:

Jun  6 20:58:55 localhost sshd[852]: Server listening on 0.0.0.0 port 22.
Jun  6 20:58:55 localhost sshd[852]: Server listening on :: port 22.
Jun  6 20:58:59 localhost unix_chkpwd[911]: check pass; user unknown
Jun  6 20:59:00 localhost unix_chkpwd[912]: check pass; user unknown
Jun  6 20:59:00 localhost unix_chkpwd[912]: password check failed for user (root)
Jun  6 20:59:00 localhost login: pam_unix(login:auth): authentication failure; logname=LOGIN uid=0 euid=0 tty=tty1 ruser= rhost=  user=root
Jun  6 20:59:02 localhost login: FAILED LOGIN 1 FROM tty1 FOR root, Authentication failure
Jun  6 20:59:03 localhost unix_chkpwd[913]: check pass; user unknown
Jun  6 20:59:04 localhost unix_chkpwd[914]: check pass; user unknown
Jun  6 20:59:04 localhost unix_chkpwd[914]: password check failed for user (root)
Jun  6 20:59:07 localhost login: FAILED LOGIN 2 FROM tty1 FOR root, Authentication failure

Not sure what else I can provide. Please let me know.

I'm keeping this guest around a while for your debugging..

Thanks,
Marcelo.
Comment 1 David Shea 2013-08-02 15:21:25 EDT
Marcelo, can you attach any log files you have in /var/log/anaconda? Also, does the root user appear in both /etc/passwd and /etc/shadow? The "check pass; user unknown" lines seem to indicate that the pam module wasn't able to find the root user data.

Note You need to log in before you can comment on or make changes to this bug.